Skip to main content
`Ctrl`+`K`

# skbio.diversity.alpha.mcintosh_e

skbio.diversity.alpha.mcintosh_e(counts)

  Calculate McIntosh’s evenness measure.

  McIntosh’s evenness measure \(E\) is defined as:

  \[E = \frac{\sqrt{\sum{n_i^2}}}{\sqrt{((N-S+1)^2 + S -1}}\]

  where \(n_i\) is the number of individuals in the \(i^{\text{th}}\) taxon, \(N\) is the total number of individuals, and \(S\) is the number of taxa in the sample.

  Parameters:
    counts 1-D array_like, int

      Vector of counts.

  Returns:
    float

      McIntosh evenness measure.

  See also

  `mcintosh_d`

  Notes

  McIntosh’s evenness measure was originally described in [1].

  References

  [1]

  Heip & Engels (1974) Comparing Species Diversity and Evenness Indices. p 560.